import { computed, ref, watch } from 'vue';
import type { ChatRoomItem } from '../layout/component/sidebar/waterLeftAside/types';
import { Local } from '../utils/storage';

export const chatRoomList = ref<ChatRoomItem[]>([]);



export const activeRoomId = ref(null);
export const activeChatRoom = computed(() => chatRoomList.value?.find((item) => item.id === activeRoomId.value));
export const activeSampleId = ref(null);
export const activeSectionAId= ref(null);
export const activeLLMId= ref(null);